# This file allows you to make bomcheck recognize different names for
# column headings in BOMs, different units of measure, etc.

# Remove the leading comment character, i.e. the pound symbol, #,  that
# precedes the setting that you wish to activate.  For any setting not
# activated, the bomcheck program will use its own internal default value.
#
# Follow the format in the examples below.  That is, use brackets,
# quotation marks, and commas in the same manner shown in the examples.
#
# For more information about the format of this file,
# see https://toml.io/en/
# _____________________________________________________________________________


# Decimal point accuracy applied to lengths in a SolidWorks BOM
# (single value only):

#accuracy = 2


# In a SolidWorks BOM, do not do any length conversions for these part
# numbers.  Simply ignore that the length is present in the BOM.  (OK
# to use glob expressions (*).
# reference: https://en.wikipedia.org/wiki/Glob_(programming),

#ignore = ["3086-*"]


# All the column names that might be shown on a SyteLine/SolidWorks BOM for
# part numbers.  Note that names are case sensitive, so "Part Number" is
# not the same as "PART NUMBER".

#part_num = ["Material", "PARTNUMBER", "PART NUMBER", "Part Number", "Item"]


# All the column names that might be shown on a SyteLine/SolidWorks BOM for
# quantities of parts.  Note that names are case sensitive, so "Qty" is
# not the same as "QTY".

#qty = ["QTY", "QTY.", "Qty", "Quantity", "Qty Per"]


# All the column names that might be shown on a SyteLine SolidWorks BOM for
# part descriptions.  Note that names are case sensitive, so "Description"
# is not the same as "DESCRIPTION".

#descrip = ["DESCRIPTION", "Material Description", "Description"]


# Column names that might be shown on a SyteLine BOM for Unit of Measure.
# Note that names are case sensitive, so "um" is not the same as "UM".

#um_sl = ["UM", "U/M"]


# Column names that might be shown on a Solidworks BOM for the item number of
# a part.  Note that names are case sensitive, so "Item No." is not the same
# as "ITEM NO.".  (Note: this program doesn't work with item numbers from a
# SyteLine BOM.).  The bomcheck program uses this column to determine the level
# of a subassembly within a multilevel SolidWorks BOM.  In this case, item
# numbers will be like 1, 2, 3, 3.1, 3.2, 4, 5, 5.1; where items 3 and 5 are
# subassemblies.

#itm_sw = ["ITEM NO.]


# All the column names that might be shown on a SyteLine BOM for subassembly
# level.  Note that names are case sensitive, so "Level" is not the same
# as "LEVEL".  Items in the level column will look like: 0, 1, 1, 2, 2, 1, 2
# 2, 3, 1... and so forth.

#level_sl = ["Level"]


# Various names that the Length column in SolidWorks might have.  Note that,
# in SolidWorks, the quantity column contains the number of a particular item,
# and the length column contains the length of that item.  For exaample, a
# quatity of 4 beams, each 20" long.

#length_sw = ["LENGTH", "Length", "L", "SIZE", "AMT", "AMOUNT", "MEAS", "COST"]


# ### THE FOLLOWING WORKS ONLY WHEN BOMCHECKGUI IS NOT BEING USED ###
# (Bomcheckgui has its own way to assign this variable.)
# Part numbers in this list will be discarded from the BOMs so that
# they will not show up in the bom check report (OK to use glob expressions
# (*). Reference: https://en.wikipedia.org/wiki/Glob_(programming).

#drop = ["3*-025", "3*-0", "3800-*"]


# ### THE FOLLOWING WORKS ONLY WHEN BOMCHECKGUI IS NOT BEING USED ###
# Bomcheckgui has its own way to assign this variable.
# Excecptions to the part numbers in the drop list shown above (OK to use glob
# expressions (*).  Reference: https://en.wikipedia.org/wiki/Glob_(programming),

#exceptions = ["3510-0200-025", "3086-1542-025"]


# SyteLine can have a column named "Obsolete Date".  In that column are shown
# dates for when part numbers stopped being used in a BOM.  If the bomcheck
# program finds this column, and finds a date corresponding to a particular
# part number, then this part number will be discarded from the bom check.

#obs = ["Obsolete Date", "Obsolete"]


# ########### USED ONLY WHEN BOMCHECKGUI IS NOT BEING USED #################
# The unit of measure of lengths from a SolidWorks BOM are understood to be
# inches unless a unit of measure is afixed to a length (e.g. 507mm).  Valid
# units of measure: inch, feet, yard, millimenter, centimeter, meter. (Single
# value only):

#from_um = "inch"


# ########### USED ONLY WHEN BOMCHECKGUI IS NOT BEING USED #################
# If no matching item is found in a SyteLine BOM for a given item in a SW BOM,
# then convert to this U/M.  Otherwise convert to the U/M given in the SL BOM
# measure.  (Single value only):

#to_um = "feet"


# If an area of an item is specified in the SW length column, e.g. 13.5 sqmm,
# then during program execution convert to this U/M just prior to comparing
# the SW BOM to that in SyteLine.  Otherwise if the item is found in the ERP
# (SyteLine) BOM, this U/M will be ignored and will be converted to the U/M in
# the ERP.  (Single value only.):

#toA_um = "SQI"


# If a liguid volume of an item is specified in the length column, e.g. 4.5 pt,
# convert to this U/M.  If the item is found in the ERP (SyteLine) BOM, it will
# be converted to that U/M; this U/M will be ignored.  (Single value only.):

#toL_um = "GAL"


# When a BOM is extracted from the CAD program, Microsoft Excel annoyingly at
# times adds whitespace characters within a part number.  This results when
# Excel tries to cram a lenthy part no. within too narrow a cell.  The number
# is split into multiple rows within the cell.  The splits are  interpreted
# as whitespaces by bomcheck.  The part no. then is not recognized correctly.
# Set the below variable to true if you want bomcheck to delete this
# whitespace; false if your company has whitespace characters within their
# part numbers. (lower case only true or false only)

#del_whitespace = true


# Column header names of bom check results have names like assy, Item, iqdu,
# etc.  These names can be changed.  For example, you can change iqdu to IQDU,
# and Description to Descripción.

#assy = "assy"
#Item = "Item"
#iqdu = "iqdu"
#Q = "Q"
#Description = "Description"
#U = "U"


# SyteLine BOMs have columns named Op (Operation), and WC (Work Center) for
# what occurs for a particular operation.  These values are placed in a
# SolidWorks BOM just prior to it being comparted to a SyteLine BOM.  For
# the most part, you can ignore doing anything with these variables.

#Op = "Op"
#OpValue = "10"
#WC = "WC"
#WCvalue = "PICK"
